Creator Tools Find Creator Emails API

Enter a creator's platform and handle to find publicly listed email addresses on their profiles, linked bio pages, and websites. Costs 10 credits per live lookup, even when no email is found. Cached results are free.

10 creditsper request
GET
/v1/find-creator-emails
curl "https://api.scrapecreators.com/v1/find-creator-emails" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 10,
  "source": {
    "platform": "instagram",
    "handle": "miguelangeles",
    "url": "https://www.instagram.com/miguelangeles"
  },
  "emails": [
    {
      "email": "booking@amsbooking.fr",
      "sources": [
        {
          "url": "https://www.instagram.com/miguelangeles",
          "type": "social_profile"
        }
      ]
    },
    {
      "email": "mgmt@irlangel.com",
      "sources": [
        {
          "url": "https://www.instagram.com/miguelangeles",
          "type": "social_profile"
        },
        {
          "url": "https://www.youtube.com/@miguelangeles",
          "type": "social_profile"
        }
      ]
    },
    {
      "email": "miguel@irlangel.com",
      "sources": [
        {
          "url": "https://x.com/irlmiguel",
          "type": "social_profile"
        },
        {
          "url": "https://linktr.ee/miguelangeles",
          "type": "link_in_bio"
        }
      ]
    }
  ],
  "scanned_profile_urls": [
    "https://www.instagram.com/miguelangeles",
    "https://www.youtube.com/@miguelangeles",
    "https://www.tiktok.com/@irlangel",
    "https://x.com/irlmiguel"
  ],
  "failed_email_scan_urls": [],
  "email_scan_limited": true,
  "link_in_bio_urls": [],
  "expanded_website_urls": [
    "https://irlangel.com/"
  ],
  "partial": true,
  "failed_link_in_bio_urls": [],
  "failed_website_urls": [],
  "source_linked_profile_urls": [],
  "failed_source_linked_profile_urls": [],
  "same_handle_candidate_urls": [
    "https://www.tiktok.com/@miguelangeles",
    "https://www.youtube.com/@miguelangeles",
    "https://x.com/miguelangeles",
    "https://www.facebook.com/miguelangeles"
  ],
  "same_handle_search_partial": false,
  "google_search_used": true,
  "google_search_failed": false,
  "google_candidate_urls": [],
  "google_candidate_link_in_bio_urls": [],
  "failed_google_candidate_link_in_bio_urls": [],
  "verified_google_candidate_urls": [],
  "failed_google_candidate_urls": [],
  "google_verification_partial": false
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

platform
string
required

Source social platform

Example:
instagram
Available options:
instagram,
tiktok,
youtube,
x,
twitter,
facebook
handle
string
required

Creator handle without a profile URL. A leading @ is optional.

Example:
miguelangeles
cache_max_age
string

If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (10 credits). See the Caching page for details.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d